from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSpinValue(XInterface, Protocol):
    def addAdjustmentListener(self, listener: XAdjustmentListener) -> None: ...
    def removeAdjustmentListener(self, listener: XAdjustmentListener) -> None: ...
    def setValue(self, value: int) -> None: ...
    def setValues(self, minValue: int, maxValue: int, currentValue: int) -> None: ...
    def getValue(self) -> int: ...
    def setMinimum(self, minValue: int) -> None: ...
    def setMaximum(self, maxValue: int) -> None: ...
    def getMinimum(self) -> int: ...
    def getMaximum(self) -> int: ...
    def setSpinIncrement(self, spinIncrement: int) -> None: ...
    def getSpinIncrement(self) -> int: ...
    def getOrientation(self) -> int: ...
